/****************************************************************************

 KHotKeys
 
 Copyright (C) 1999-2001 Lubos Lunak <l.lunak@kde.org>

 Distributed under the terms of the GNU General Public License version 2.
 
 $Id: command_url_widget.h,v 1.3 2001/07/15 14:08:29 seli Exp $

****************************************************************************/

#ifndef __COMMAND_URL_WIDGET_H
#define __COMMAND_URL_WIDGET_H

#include <command_url_widget_ui.h>

namespace KHotKeys
{

class Command_url_action;
class Action_data;

class Command_url_widget
    : public Command_url_widget_ui
    {
    Q_OBJECT
    public:
        Command_url_widget( QWidget* parent_P = NULL, const char* name_P = NULL );
        void set_data( const Command_url_action* data_P );
        Command_url_action* get_data( Action_data* data_P ) const;
    public slots:
        void clear_data();
    protected slots:
        virtual void browse_pressed();
    };

typedef Command_url_widget Command_url_tab;

//***************************************************************************
// Inline
//***************************************************************************

} // namespace KHotKeys

#endif
