/****************************************************************************

 KHotKeys
 
 Copyright (C) 1999-2001 Lubos Lunak <l.lunak@kde.org>

 Distributed under the terms of the GNU General Public License version 2.
 
 $Id: info_tab.cpp,v 1.5 2001/07/06 10:48:41 seli Exp $

****************************************************************************/

#define __INFO_TAB_CPP

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "info_tab.h"

#include <qpushbutton.h>
#include <qlabel.h>

#include <klocale.h>

#include <khotkeysglobal.h>

namespace KHotKeys
{

Info_tab::Info_tab( QWidget* parent_P, const char* name_P )
    : Info_tab_ui( parent_P, name_P )
    {
    QString version = i18n( "version %1" ).arg( KHOTKEYS_VERSION );
    version_label->setText( version );
    connect( global_settings_button, SIGNAL( clicked()), SLOT( global_settings_pressed()));
    clear_data();
    }

void Info_tab::global_settings_pressed()
    {
    // CHECKME TODO
    }

void Info_tab::clear_data()
    {
    }

} // namespace KHotKeys

#include "info_tab.moc"
